# Example used in the unattended updates tutorial:
# https://sigs.centos.org/automotive/building/unattended_updates/

version: '2'
mpp-vars:
  name: upgrade-demo
pipelines:
- name: rootfs
  build: name:build
  stages:
  - type: org.osbuild.rpm
    options:
      gpgkeys:
      - mpp-eval: distro_gpg_keys
      disable_dracut: true
      exclude:
        docs: true
    inputs:
      packages:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-depsolve:
          architecture: $arch
          ignore-weak-deps: true
          module-platform-id: $distro_module_id
          baseurl: $distro_baseurl_repo
          repos:
            mpp-join:
            - mpp-eval: image_repos
            - mpp-eval: extra_repos
          packages:
            mpp-join:
            - mpp-eval: image_rpms
            - mpp-eval: extra_rpms
            # Install the watchdog tools and service files
            - - autosig-sample-watchdog
              - autosig-sample-staticdelta
          excludes:
          - dracut-config-rescue
    # Make sure we only try a failed boot once before rollback (default is 3)
  - type: org.osbuild.copy
    inputs:
      inlinefile:
        type: org.osbuild.files
        origin: org.osbuild.source
        mpp-embed:
          id: greenboot.conf
          text: "GREENBOOT_MAX_BOOT_ATTEMPTS=1\n"
    options:
      paths:
      - from:
          mpp-format-string: input://inlinefile/{embedded['greenboot.conf']}
        to: tree:///etc/greenboot/greenboot.conf
  - type: org.osbuild.systemd
    options:
      enabled_services:
      # Enable the watchdog ostree/greenboot integration
      - watchdog-ostree-start.service
      - watchdog-ostree-stop.service
